#!/bin/bash
#   author:martinmhan@yahoo.com date:  22/04/2014
#   scadat is a bash command line interface to the tango scada
#   Copyright (C) <2014>  <Martin Mohan>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

#set -x
#verbose=0
#if [ x$1 = x"" ]; then 
#    export verbose=0
#else
#    export verbose=1
#fi
shopt -s expand_aliases

#set -x
PASS=0
FAIL=1
export PATH=.:$PATH

if [ -z "$TANGO_HOST" ]; then
    echo "set TANGO_HOST (e.g. export TANGO_HOST=127.0.0.1:10000)"
    exit 1
fi  

# Is PyTango2 available?
if ! $(python2 -c "import PyTango" &> /dev/null); then
    echo "ERROR: python2-pytango not available for test" >&2
#    exit 2
else
    echo "python2-pytango test" >&2
    alias python=python2
    . `which scadat_test1.sh`
fi

# Is PyTango3 available?
if ! $(python3 -c "import PyTango" &> /dev/null); then
    echo "ERROR: python3-pytango not available for test" >&2
#    exit 2
else
    echo "python3-pytango test" >&2
    alias python=python3
    . `which scadat_test1.sh`
fi

assertgrep.sh "scadat_search.sh 198.23.242.110 2" "nc -nvz -w1 198.23.242.111 10000 - closed"

#set -x
#echo "`python --version` `which scadat`"
