#!/bin/bash
#   author:martinmhan@yahoo.com date:  22/04/2014
#   scadat is a bash command line interface to the tango scada
#   Copyright (C) <2014>  <Martin Mohan>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

PASS=0
FAIL=1
export PATH=.:$PATH
#source scadat_unittest.sh
myscadat=`which scadat`

if [ -z "$TANGO_HOST" ]; then
    echo "set TANGO_HOST (e.g. export TANGO_HOST=127.0.0.1:10000)"
    exit 1
fi  

# first, makes sure PyTango available
if ! $(python2 -c "import PyTango" &> /dev/null); then
    echo "ERROR: python2: PyTango not available for test" >&2
    exit 2
else
    echo "python2: PyTango is available" >&2
fi
#echo "$0 python2 tests"
assertequal.sh "python2 $myscadat -c sys/tg_test/1/DevVarLongArray '1 2 3 4'" "[1 2 3 4]"
assertequal.sh "python2 $myscadat -c sys/tg_test/1/DevVarLong64Array '1 2 3 4'" "[1 2 3 4]"
assertequal.sh "python2 $myscadat -c sys/tg_test/1/DevVarULong64Array '1 2 3 4'" "[1 2 3 4]"
assertequal.sh "python2 $myscadat -c sys/tg_test/1/DevVarUShortArray '1 2 3 4'" "[1 2 3 4]"
assertequal.sh "python2 $myscadat -c sys/tg_test/1/DevVarShortArray '1 2 3 4'" "[1 2 3 4]"
assertequal.sh "python2 $myscadat -a sys/tg_test/1 | grep ulong_image_ro" "sys/tg_test/1/ulong_image_ro <attr_ro>"
